We just released our native n8n integration!ยป Try now
OnlyFans API
Free Trial Links

Get Free Trial Link Stats

Get dashboard-style summary plus daily and monthly metrics for a specific Free Trial Link

GET
/api/{account}/trial-links/{trial_link_id}/stats
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

trial_link_id*string

The ID of the trial link.

Query Parameters

date_start?string

Optional stats range start date

date_end?string

Optional stats range end date

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/trial-links/molestiae/stats?date_start=2026-01-01T00%3A00%3A00Z&date_end=2026-01-31T23%3A59%3A59Z"
{
  "data": {
    "summary": {
      "clicks_total": 182,
      "subs_total": 123,
      "revenue_total": 123,
      "spenders_total": 16,
      "revenue_cached_at": "2026-01-31T23:59:59+00:00"
    },
    "daily_metrics": [
      {
        "timestamp": "2026-01-30",
        "clicks": 5,
        "subs": 3,
        "revenue": 12.5,
        "spenders": 1
      },
      {
        "timestamp": "2026-01-31",
        "clicks": 8,
        "subs": 4,
        "revenue": 21,
        "spenders": 2
      }
    ],
    "monthly_metrics": [
      {
        "timestamp": "2026-01-01",
        "clicks": 182,
        "subs": 123,
        "revenue": 123,
        "spenders": 16
      }
    ]
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}